package cn.iocoder.yudao.module.system.service.extra;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.extra.vo.SafetyCommitmentPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.extra.ElderlyExtraSafetyCommitmentDO;

import java.util.List;

/**
 * (附件)长者安全承诺书 Service 接口
 *
 * @author 管理员
 */
public interface ElderlyExtraSafetyCommitmentService {

    Long create(ElderlyExtraSafetyCommitmentDO createReqVO);

    void update(ElderlyExtraSafetyCommitmentDO updateReqVO);

    void delete(Long id);

    PageResult<ElderlyExtraSafetyCommitmentDO> findPage(SafetyCommitmentPageReqVO reqVO);

    ElderlyExtraSafetyCommitmentDO getDetail(Long id);

    List<ElderlyExtraSafetyCommitmentDO> getListByElderId(Long elderId);

}
